CertEtcToken (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.dvcs

## Class CertEtcToken

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.dvcs.CertEtcToken

- All Implemented Interfaces:
    ASN1Choice, ASN1Encodable, Encodable

      public class CertEtcToken
      extends ASN1Object
      implements ASN1Choice

       CertEtcToken ::= CHOICE {
               certificate                  [0] IMPLICIT Certificate ,
               esscertid                    [1] ESSCertId ,
               pkistatus                    [2] IMPLICIT PKIStatusInfo ,
               assertion                    [3] ContentInfo ,
               crl                          [4] IMPLICIT CertificateList,
               ocspcertstatus               [5] CertStatus,
               oscpcertid                   [6] IMPLICIT CertId ,
               oscpresponse                 [7] IMPLICIT OCSPResponse,
               capabilities                 [8] SMIMECapabilities,
               extension                    Extension
       }

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TAG_ASSERTION`
    `static int` | `TAG_CAPABILITIES`
    `static int` | `TAG_CERTIFICATE`
    `static int` | `TAG_CRL`
    `static int` | `TAG_ESSCERTID`
    `static int` | `TAG_OCSPCERTID`
    `static int` | `TAG_OCSPCERTSTATUS`
    `static int` | `TAG_OCSPRESPONSE`
    `static int` | `TAG_PKISTATUS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertEtcToken(Extension extension)`
    `CertEtcToken(int tagNo, ASN1Encodable value)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CertEtcToken[]` | `arrayFromSequence(ASN1Sequence seq)`
    `Extension` | `getExtension()`
    `static CertEtcToken` | `getInstance(java.lang.Object obj)`
    `int` | `getTagNo()`
    `ASN1Encodable` | `getValue()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TAG_CERTIFICATE

          public static final int TAG_CERTIFICATE

      See Also:
        Constant Field Values

    - #### TAG_ESSCERTID

          public static final int TAG_ESSCERTID

      See Also:
        Constant Field Values

    - #### TAG_PKISTATUS

          public static final int TAG_PKISTATUS

      See Also:
        Constant Field Values

    - #### TAG_ASSERTION

          public static final int TAG_ASSERTION

      See Also:
        Constant Field Values

    - #### TAG_CRL

          public static final int TAG_CRL

      See Also:
        Constant Field Values

    - #### TAG_OCSPCERTSTATUS

          public static final int TAG_OCSPCERTSTATUS

      See Also:
        Constant Field Values

    - #### TAG_OCSPCERTID

          public static final int TAG_OCSPCERTID

      See Also:
        Constant Field Values

    - #### TAG_OCSPRESPONSE

          public static final int TAG_OCSPRESPONSE

      See Also:
        Constant Field Values

    - #### TAG_CAPABILITIES

          public static final int TAG_CAPABILITIES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CertEtcToken

          public CertEtcToken(int tagNo,
                              ASN1Encodable value)

    - #### CertEtcToken

          public CertEtcToken(Extension extension)

  - ### Method Detail

    - #### getInstance

          public static CertEtcToken getInstance(java.lang.Object obj)

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### getTagNo

          public int getTagNo()

    - #### getValue

          public ASN1Encodable getValue()

    - #### getExtension

          public Extension getExtension()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### arrayFromSequence

          public static CertEtcToken[] arrayFromSequence(ASN1Sequence seq)